/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2024 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.validation.ValAddGroup;
import net.northking.cctp.common.validation.ValUpdateGroup;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


/**
 * 任务执行记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2024-10-16 17:02:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "任务执行记录表")
public class AtuPlanTaskRecord extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_taskId = "taskId";
  public static final String KEY_batchId = "batchId";
  public static final String KEY_execIdx = "execIdx";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_executeType = "executeType";
  public static final String KEY_status = "status";
  public static final String KEY_errorMsg = "errorMsg";
  public static final String KEY_videoUrl = "videoUrl";
  public static final String KEY_execResultFile = "execResultFile";

  /**
   * 记录id<br>
   */
  @ApiModelProperty("记录id")
  @Size(max = 32, message="记录id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 任务id<br>
   */
  @ApiModelProperty("任务id")
  @Size(max = 32, message="任务id-taskId: 数据长度不能 > 32" )
  private String taskId;
  /**
   * 批次id<br>
   */
  @ApiModelProperty("批次id")
  @Size(max = 32, message="批次id-batchId: 数据长度不能 > 32" )
  private String batchId;
  /**
   * 执行序号<br>
   */
  @ApiModelProperty("执行序号")
  private Integer execIdx;
  /**
   * 开始时间<br>
   */
  @ApiModelProperty("开始时间")
  private Long startTime;
  /**
   * 结束时间<br>
   */
  @ApiModelProperty("结束时间")
  private Long endTime;
  /**
   * 执行类型，0-正常执行|1-自动重试|2-手动重试<br>
   */
  @ApiModelProperty("执行类型，0-正常执行|1-自动重试|2-手动重试")
  @Size(max = 10, message="执行类型，0-正常执行|1-自动重试|2-手动重试-executeType: 数据长度不能 > 10" )
  private String executeType;
  /**
   * 状态<br>
   */
  @ApiModelProperty("状态")
  @Size(max = 10, message="状态-status: 数据长度不能 > 10" )
  private String status;
  /**
   * 错误信息<br>
   */
  @ApiModelProperty("错误信息")
  @Size(max = 65535, message="错误信息-errorMsg: 数据长度不能 > 65535" )
  private String errorMsg;
  /**
   * 视频地址<br>
   */
  @ApiModelProperty("视频地址")
  @Size(max = 255, message="视频地址-videoUrl: 数据长度不能 > 255" )
  private String videoUrl;
  /**
   * 执行结果文件<br>
   */
  @ApiModelProperty("执行结果文件")
  @Size(max = 255, message="执行结果文件-execResultFile: 数据长度不能 > 255" )
  private String execResultFile;

  /**
   * 记录id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 记录id<br>
   *
   * @param id 记录id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 任务id<br>
   */
  public String getTaskId()
  {
      return taskId;
    }

  /**
   * 任务id<br>
   *
   * @param taskId 任务id
   */
  public void setTaskId(String taskId)
  {
      this.taskId = taskId;
    }
  /**
   * 批次id<br>
   */
  public String getBatchId()
  {
      return batchId;
    }

  /**
   * 批次id<br>
   *
   * @param batchId 批次id
   */
  public void setBatchId(String batchId)
  {
      this.batchId = batchId;
    }
  /**
   * 执行序号<br>
   */
  public Integer getExecIdx()
  {
      return execIdx;
    }

  /**
   * 执行序号<br>
   *
   * @param execIdx 执行序号
   */
  public void setExecIdx(Integer execIdx)
  {
      this.execIdx = execIdx;
    }
  /**
   * 开始时间<br>
   */
  public Long getStartTime()
  {
      return startTime;
    }

  /**
   * 开始时间<br>
   *
   * @param startTime 开始时间
   */
  public void setStartTime(Long startTime)
  {
      this.startTime = startTime;
    }
  /**
   * 结束时间<br>
   */
  public Long getEndTime()
  {
      return endTime;
    }

  /**
   * 结束时间<br>
   *
   * @param endTime 结束时间
   */
  public void setEndTime(Long endTime)
  {
      this.endTime = endTime;
    }
  /**
   * 执行类型，0-正常执行|1-自动重试|2-手动重试<br>
   */
  public String getExecuteType()
  {
      return executeType;
    }

  /**
   * 执行类型，0-正常执行|1-自动重试|2-手动重试<br>
   *
   * @param executeType 执行类型，0-正常执行|1-自动重试|2-手动重试
   */
  public void setExecuteType(String executeType)
  {
      this.executeType = executeType;
    }
  /**
   * 状态<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态<br>
   *
   * @param status 状态
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 错误信息<br>
   */
  public String getErrorMsg()
  {
      return errorMsg;
    }

  /**
   * 错误信息<br>
   *
   * @param errorMsg 错误信息
   */
  public void setErrorMsg(String errorMsg)
  {
      this.errorMsg = errorMsg;
    }
  /**
   * 视频地址<br>
   */
  public String getVideoUrl()
  {
      return videoUrl;
    }

  /**
   * 视频地址<br>
   *
   * @param videoUrl 视频地址
   */
  public void setVideoUrl(String videoUrl)
  {
      this.videoUrl = videoUrl;
    }
  /**
   * 执行结果文件<br>
   */
  public String getExecResultFile()
  {
      return execResultFile;
    }

  /**
   * 执行结果文件<br>
   *
   * @param execResultFile 执行结果文件
   */
  public void setExecResultFile(String execResultFile)
  {
      this.execResultFile = execResultFile;
    }

  public AtuPlanTaskRecord()
  {
  }

}
